List Services To Migrate

List Services To Migrate
Lists services that support migration and their appliance hostnames.

Filters local services that support migration and lists available source appliances from which these services can be migrated from.

Request
URI
POST
https://{api_host}/appliance/migration-manager/actions/list-services
COPY
Request Body

The connection specification to the target vCenter.

VcConnectionSpec of type(s) application/json
Optional

Show optional properties

{
    "credentials": {
        "admin_user": "string",
        "admin_password": "string"
    },
    "connection_spec": {
        "psc_uri": "psc01.acme.com, psc01.acme.com:80, psc01.acme.com:443, https://psc01.acme.com, https://psc01.acme.com:443"
    }
}
{
    "credentials": {
        "admin_user": "string",
        "admin_password": "string"
    },
    "connection_spec": {
        "psc_uri": "psc01.acme.com, psc01.acme.com:80, psc01.acme.com:443, https://psc01.acme.com, https://psc01.acme.com:443",
        "psc_thumbprint": "string"
    }
}
object
credentials
Required

Contains credentials information.

object
connection_spec
Required

Contains connection information for a service.

Authentication
This operation uses the following authentication methods.
Responses
202

Task to monitor the operation. The ''result'' field will contain the list of services available for migration (MigrateServiceInfo).

Returns TaskDrResponseEntity of type(s) application/json
This response body class contains all of the following: Task , InlineTaskDrResponseEntity1
{
    "id": "string",
    "description": "string",
    "type": "string",
    "status": "string",
    "error": {
        "message": "string",
        "details": "string"
    },
    "result": {},
    "progress": 0,
    "start_time": 0,
    "complete_time": 0,
    "_meta": {
        "errors": [
            {
                "code": "string",
                "message": "string",
                "field": "string"
            }
        ]
    }
}

400

Bad request - the server cannot understand the request due to invalid syntax or invalid request body content

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


401

Unauthorized - the client must authenticate itself to get the requested response

Operation doesn't return any data structure

403

Forbidden - not sufficient access rights to fulfill the request

Returns ResponseError of type(s) application/json
{
    "error_code": "string",
    "message": "string",
    "op_id": "string"
}
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


500

Internal server error - unexpected condition prevents fulfilling the request

Returns ResponseError of type(s) application/json
"ResponseError Object"
string
error_code
Optional

The code of the error.

string
message
Optional

The message of the error.

string As uuid As uuid
op_id
Optional

The ID of the operation.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"connection_spec":"object","credentials":"object"}' https://{api_host}/appliance/migration-manager/actions/list-services